Ti.UI.backgroundColor = "#444";

var do8958 = function() {
	require("ui").fetchWindow().open();
};

var tests = [
	{title: "timob-10042", bg: "#444", heavy: true, url: "timob10042.js"},
	{title: "timob-9827", bg: "#444", heavy: true, url: "timob9827.js"},
	{title: "timob-9825", bg: "#444", heavy: true, url: "timob9825.js"},
	{title: "timob-9813", bg: "#444", heavy: false, url: "timob9813.js"},
	{title: "timob-9813_b", bg: "#444", heavy: true, url: "timob9813_b.js"},
	{title: "timob-9495", bg: "#444", heavy: true, url: "timob9495.js"},
	{title: "timob-9493", bg: "#444", heavy: true, url: "timob9493.js"},
	{title: "timob-9433", bg: "#444", heavy: true, url: "timob9433.js"},
	{title: "timob-9207", bg: "#444", heavy: false, url: "timob9207.js"},
	{title: "timob-8958", func: do8958},
	{title: "timob-7412", bg: "#444", heavy: false, url: "timob7412.js"},
	{title: "autoreversing", bg: "#444", heavy: true, url: "autoreverse.js"}
];

var win = Ti.UI.createWindow({
	exitOnClose: true,
	backgroundColor: "#444"
});

var rows = [];

for (var i = 0; i < tests.length; i++) {
	rows.push(Ti.UI.createTableViewRow({
		title: tests[i].title,
		height: 60
	}));
}

var tv;

win.add(tv = Ti.UI.createTableView({
	data: rows
}));

tv.addEventListener("click", function(e) {
	var test = tests[e.index];
	if (test.func) {
		test.func();
	} else {
		var args = {backgroundColor: test.bg};
		if (test.heavy) {
			args.fullscreen = false;
		}
		if (test.url) {
			args.url = test.url;
		}
		Ti.UI.createWindow(args).open();
	}
});

win.open();
