function show(text, duration) {
	if (Ti.Platform.osname === 'android') {
		Ti.UI.createNotification({duration: duration, message: text}).show();
	} else {
		var aid = Ti.UI.createActivityIndicator({
			color: "black",
			bottom: "0",
			style: Ti.UI.iPhone.ActivityIndicatorStyle.DARK,
			message: text,
			font: {fontSize: 26, fontWeight: "bold"},
			height: "auto",
			width: "auto"
		});
		Ti.UI.currentWindow.add(aid);
		var d = 500; // ms (short)
		if (duration === Ti.UI.NOTIFICATION_DURATION_LONG) {
			d = 1000;
		}
		aid.show();
		setTimeout(function() {aid.hide(); Ti.UI.currentWindow.remove(aid);}, d);
	}
};

exports.showShort = function(text) {
	show(text, Ti.UI.NOTIFICATION_DURATION_SHORT);
};
exports.showLong = function(text) {
	show(text, Ti.UI.NOTIFICATION_DURATION_LONG);
};
exports.show = exports.showShort;
